cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/alerts/{alertId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"condition": "<unknown>",
"enabled": true,
"channels": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"enabled": true,
"recipients": [
{
"principalId": "<string>"
}
]
}
]
}
'import requests
url = "https://us.infisical.com/api/v1/alerts/{alertId}"
payload = {
"name": "<string>",
"description": "<string>",
"condition": "<unknown>",
"enabled": True,
"channels": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"enabled": True,
"recipients": [{ "principalId": "<string>" }]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
condition: '<unknown>',
enabled: true,
channels: [
{
name: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {},
enabled: true,
recipients: [{principalId: '<string>'}]
}
]
})
};
fetch('https://us.infisical.com/api/v1/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/alerts/{alertId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'condition' => '<unknown>',
'enabled' => true,
'channels' => [
[
'name' => '<string>',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'config' => [
],
'enabled' => true,
'recipients' => [
[
'principalId' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/alerts/{alertId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"condition\": \"<unknown>\",\n \"enabled\": true,\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {},\n \"enabled\": true,\n \"recipients\": [\n {\n \"principalId\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://us.infisical.com/api/v1/alerts/{alertId}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"condition\": \"<unknown>\",\n \"enabled\": true,\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {},\n \"enabled\": true,\n \"recipients\": [\n {\n \"principalId\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/alerts/{alertId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"condition\": \"<unknown>\",\n \"enabled\": true,\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {},\n \"enabled\": true,\n \"recipients\": [\n {\n \"principalId\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"alert": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"eventType": "<string>",
"triggerType": "<string>",
"enabled": true,
"orgId": "<string>",
"projectId": "<string>",
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"channelType": "<string>",
"enabled": true,
"config": {},
"recipients": [
{
"principalType": "<string>",
"principalId": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"condition": null,
"resourceName": "<string>",
"filters": {},
"lastRun": {
"timestamp": "2023-11-07T05:31:56Z",
"status": "success"
}
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Update alert
Update an alert.
PATCH
/
api
/
v1
/
alerts
/
{alertId}
cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/alerts/{alertId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"condition": "<unknown>",
"enabled": true,
"channels": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"enabled": true,
"recipients": [
{
"principalId": "<string>"
}
]
}
]
}
'import requests
url = "https://us.infisical.com/api/v1/alerts/{alertId}"
payload = {
"name": "<string>",
"description": "<string>",
"condition": "<unknown>",
"enabled": True,
"channels": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"enabled": True,
"recipients": [{ "principalId": "<string>" }]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
condition: '<unknown>',
enabled: true,
channels: [
{
name: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {},
enabled: true,
recipients: [{principalId: '<string>'}]
}
]
})
};
fetch('https://us.infisical.com/api/v1/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/alerts/{alertId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'condition' => '<unknown>',
'enabled' => true,
'channels' => [
[
'name' => '<string>',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'config' => [
],
'enabled' => true,
'recipients' => [
[
'principalId' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/alerts/{alertId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"condition\": \"<unknown>\",\n \"enabled\": true,\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {},\n \"enabled\": true,\n \"recipients\": [\n {\n \"principalId\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://us.infisical.com/api/v1/alerts/{alertId}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"condition\": \"<unknown>\",\n \"enabled\": true,\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {},\n \"enabled\": true,\n \"recipients\": [\n {\n \"principalId\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/alerts/{alertId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"condition\": \"<unknown>\",\n \"enabled\": true,\n \"channels\": [\n {\n \"name\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {},\n \"enabled\": true,\n \"recipients\": [\n {\n \"principalId\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"alert": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"eventType": "<string>",
"triggerType": "<string>",
"enabled": true,
"orgId": "<string>",
"projectId": "<string>",
"channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"channelType": "<string>",
"enabled": true,
"config": {},
"recipients": [
{
"principalType": "<string>",
"principalId": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"condition": null,
"resourceName": "<string>",
"filters": {},
"lastRun": {
"timestamp": "2023-11-07T05:31:56Z",
"status": "success"
}
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Path Parameters
The ID of the alert to update.
Body
application/json
The new name of the alert.
Required string length:
1 - 255The new description of the alert. Set to null to remove it.
Maximum string length:
1000The new settings of the alert's event. The accepted fields depend on the alert's eventType.
Whether the alert is enabled.
The alert's channels. Replaces the current channels, so channels left out are deleted.
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?